package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EnergyMeter;
import com.ruoyi.ems.domain.WaterMeterH;
import com.ruoyi.ems.model.QueryMeter;

import java.util.List;

/**
 * 用水计量-小时Service接口
 *
 * @author ruoyi
 * @date 2024-12-03
 */
public interface IWaterMeterHService {

    /**
     * 查询用水计量-小时列表
     *
     * @param queryMeter 用水计量-小时
     * @return 用水计量-小时集合
     */
    List<WaterMeterH> selectWaterMeterHList(QueryMeter queryMeter);

    /**
     * 新增用水计量-小时
     *
     * @param waterMeterH 用水计量-小时
     * @return 结果
     */
    int insertWaterMeterH(WaterMeterH waterMeterH);

    /**
     * 修改用水计量-小时
     *
     * @param waterMeterH 用水计量-小时
     * @return 结果
     */
    int updateWaterMeterH(WaterMeterH waterMeterH);

    /**
     * 删除用水计量-小时信息
     *
     * @param date 日期
     * @return 结果
     */
    int deleteWaterMeterHByDate(String date);

    EnergyMeter qryWaterMeterByDate(String dataRange, String areaCode);

    List<WaterMeterH> qryTimeIndexWaterMeterByDay(String dataRange,Integer timeIndex);

    List<WaterMeterH> qryDateWaterMeterByDay(String dataRange);

    List<WaterMeterH> qryDateWaterMeterByYear(String dataRange);

    EnergyMeter selectWaterDayAvg(QueryMeter queryMeter);
}
